// Multiple select file dialog

mgetfiled : dialog {
    initial_focus = "fedit";
    label = "Select File(s)";  // Can be overridden by caller
    key = "dlfname";
    files_topdf;
    : row {
        : list_box {
            label = "Directories:";
            mnemonic = "r";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = "Files:";
            mnemonic = "i";
            key = "filebox";
            width = 15;
            multiple_select = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                alignment = centered;
                height = 4;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            spacer_1;
            : button {
                label = "Select all";
                key = "all";
                mnemonic = "S";
            }
            : button {
                label = "Clear all";
                key = "clear";
                mnemonic = "C";
                is_enabled = false;
            }
            spacer_1;
            : button {
                label = "Type it";
                key = "typeit";
                mnemonic = "T";
            }
            : button {
                label = "Default";
                key = "default";
                mnemonic = "e";
            }
        }
    }
    files_bottomdf;
}
